Tasks
There is a staircase on n steps

Task 1
Write a function numWay(n: Int), which returns the number of ways you can walk up the staircase by taking one or two steps at once (each combination of it).

Task 2
Write a function numWays(n: Int, steps: List[Int]), which returns the number of way you can walk up the staircase by taking the steps (combinations of it) defined in the list steps. So numWays(n: Int, List(1, 2)) would be Task 1.

Bonus

Take Task 1 and/or Task 2 and return the actual ways
